package com.willalp.canteen.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.canteen.domain.HsCanteenMenu;
import com.willalp.canteen.domain.vo.GetLimitMenuVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 菜单Mapper接口
 *
 * @author songyu
 * @date 2021-12-02
 */
public interface HsCanteenMenuMapper extends BaseMapper<HsCanteenMenu>
{
    /**
     * 查询菜单
     *
     * @param menuId 菜单主键
     * @return 菜单
     */
    public HsCanteenMenu selectHsCanteenMenuByMenuId(String menuId);

    /**
     * 查询菜单列表
     *
     * @param hsCanteenMenu 菜单
     * @return 菜单集合
     */
    public List<HsCanteenMenu> selectHsCanteenMenuList(HsCanteenMenu hsCanteenMenu);

    /**
     * 新增菜单
     *
     * @param hsCanteenMenu 菜单
     * @return 结果
     */
    public int insertHsCanteenMenu(HsCanteenMenu hsCanteenMenu);

    /**
     * 修改菜单
     *
     * @param hsCanteenMenu 菜单
     * @return 结果
     */
    public int updateHsCanteenMenu(HsCanteenMenu hsCanteenMenu);

    /**
     * 删除菜单
     *
     * @param menuId 菜单主键
     * @return 结果
     */
    public int deleteHsCanteenMenuByMenuId(String menuId);

    /**
     * 批量删除菜单
     *
     * @param menuIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHsCanteenMenuByMenuIds(String[] menuIds);

    List<HsCanteenMenu> getLimitMenu(GetLimitMenuVo vo);

    List<HsCanteenMenu> selectAppMenuList(@Param("nums") List<String> nums, @Param("jgid") String jgid);
}
